Subject: Re: [bug#58971] [PATCH] gnu: Add avr-gdb.

From: Christopher Baines <[email-masked]>
Date: Thu, 03 Nov 2022 18:31:21 +0100

Kristian Lein-Mathisen <[email-masked]> writes:

> I'd like to have avr-gdb available in GNU Guix.
> I've used the Arch Linux PKGFILE as basis:
>
> https://github.com/archlinux/svntogit-community/blob/fa92f7b2008ec/trunk/PKGBUILD

Hi Kristian,

This seems OK to me, although I don't know what this package is for?

Given this is inheriting from gdb, it'll have the same synopiss and
description:

  synopsis: The GNU debugger
  description: GDB is the GNU debugger.  With it, you can monitor what a program
  + is doing while it runs or what it was doing just before a crash.  It allows
  + you to specify the runtime conditions, to define breakpoints, and to change
  + how the program is running to try to fix bugs.  It can be used to debug
  + programs written in C, C++, Ada, Objective-C, Pascal and more.

So, I think if there is something different about this avr-gdb, it would
be good to specify a appropriate synopsis and description. Does that
make sense?

Thanks,

Chris